-- <!DOCTYPE ADA>
-- <ADA>

--------------------------------------------------------------------------------
-- <PROLOGUE>
-- <UNIT>        OSI_Error_Handler
--
-- <DESCRIPTION> This package is an internal OSI package.  The package exports 
--               a routine which raises an exception which corresponds to the 
--               last error raised during execution of an OSI routine.
--
-- <HISTORY>
--
-- <ORIGIN>
-- <AUTHOR>      Gerardo A. Colon
-- <DATE>        24 July 1990
--
-- <COMPANY>     Science Applications International Corporation
-- <ADDRESS>     311 Park Place Boulevard, Suite 360
-- <ADDRESS>     Clearwater, Florida 34619
--
-- <REMARK>      Developed for the STARS program under task S40.
-- </ORIGIN>
--
-- </HISTORY>
--
-- <NOTES>       Dependencies =>
--                 ( Operating_System => None ,
--                   Compiler         => None ,
--                   Device           => None ) ;
--
-- </PROLOGUE>
--------------------------------------------------------------------------------

pragma Page ;

--------------------------------------------------------------------------------
-- package OSI_Error_Handler (specification).
--------------------------------------------------------------------------------

package OSI_Error_Handler is

  procedure Map_Last_Error ;
--------------------------------------------------------------------------------
-- <SUBPROGRAM>
-- <UNIT>        Map_Last_Error
--
-- <DESCRIPTION> This procedure maps the last error raised during execution
--               of an OSI routine to its corresponding exception.
--
-- <EXCEPTIONS>  Exception corresponding to the last error raised during an
--               OSI routine execution.
--
-- </SUBPROGRAM>
--------------------------------------------------------------------------------

end OSI_Error_Handler ;

-- </ADA>
