-- <!DOCTYPE ADA>
-- <ADA>

--------------------------------------------------------------------------------
-- <PROLOGUE>
-- <UNIT>        OSI_Utilities
--
-- <DESCRIPTION> This package exports routines used by other OSI packages.
--
-- <HISTORY>
--
-- <ORIGIN>
-- <AUTHOR>      Gerardo A. Colon
-- <DATE>        28 August 1990
--
-- <COMPANY>     Science Applications International Corporation
-- <ADDRESS>     311 Park Place Boulevard, Suite 360
-- <ADDRESS>     Clearwater, Florida 34619
--
-- <REMARK>      Developed for the STARS program under task S40.
-- </ORIGIN>
--
-- </HISTORY>
--
-- <NOTES>       Dependencies =>
--                 ( Operating_System => None ,
--                   Compiler         => None ,
--                   Device           => None ) ;
--
-- </PROLOGUE>
--------------------------------------------------------------------------------

with OSI_Interface_Definitions ;
with OSI_Standard              ;

use  OSI_Interface_Definitions ;
use  OSI_Standard              ;

pragma Page ;

--------------------------------------------------------------------------------
-- package OSI_Utilities (specification).
--------------------------------------------------------------------------------

package OSI_Utilities is

  function Is_Valid ( File_Name : in OSI_String ) return Boolean ;
--------------------------------------------------------------------------------
-- <SUBPROGRAM>
-- <UNIT>        Is_Valid
--
-- <DESCRIPTION> This function returns True is the file name given by the 
--               parameter File_Name is valid.  The function returns False
--               otherwise.
--
-- <EXCEPTIONS>  None.
--
-- </SUBPROGRAM>
--------------------------------------------------------------------------------

  function String_Of ( The_Pointer : String_Pointer ) return String ;
--------------------------------------------------------------------------------
-- <SUBPROGRAM>
-- <UNIT>        String_Of
--
-- <DESCRIPTION> This function returns the string pointed by the pointer given
--               by The_Pointer.
--
-- <EXCEPTIONS>  None.
--
-- </SUBPROGRAM>
--------------------------------------------------------------------------------

end OSI_Utilities ;

-- </ADA>
