-- <!DOCTYPE ADA>
-- <ADA>

--------------------------------------------------------------------------------
-- <PROLOGUE>
-- <UNIT>        Runtime_Support_Library
--
-- <DESCRIPTION> This package provides an Ada binding to a subset of the 
--               interfaces specified in IEEE std 1003.1:1990; referred to 
--               as POSIX.  For a complete description of these routines 
--               and their parameters, refer to the POSIX standard.  Currently
--               POSIX is defined by the C language.  Therefore, most of the 
--               types exported by this package are the Ada representation
--               of C types.
--
--               Not all routines in the POSIX standard are implemented as C
--               functions.  Some of the routines are implemented as "pseudo-
--               functions".  There is no way for Ada to interface to these 
--               "pseudo-functions".  For these functions, an interface to 
--               a C function which implements the desired operation is 
--               performed.
--
--               The package is divided in two major parts.  The first part
--               exports the functions to manipulate files and directories. 
--               The second part exports the routines to execute processes
--               and obtain process attributes.
--
-- <HISTORY>
--
-- <ORIGIN>
-- <AUTHOR>      Gerardo A. Colon
-- <DATE>        18 September 1990
--
-- <COMPANY>     Science Applications International Corporation
-- <ADDRESS>     311 Park Place Boulevard, Suite 360
-- <ADDRESS>     Clearwater, Florida 34619
--
-- <REMARK>      Developed for the STARS program under task S40.
-- </ORIGIN>
--
-- </HISTORY>
--
-- <NOTES>       Dependencies =>
--                 ( Operating_System => AIX       ,
--                   Compiler         => IBM RT PC ,
--                   Device           => None      ) ;
--
-- </PROLOGUE>
--------------------------------------------------------------------------------

pragma Page ;

--------------------------------------------------------------------------------
-- package Runtime_Support_Library (body).
--------------------------------------------------------------------------------

package body Runtime_Support_Library is
--
-- Null body.
--
-- Refer to section 10.5 of the Portability guide in "Portability and Style
-- in Ada" by John Nissen and Peter Wallis.
--
end Runtime_Support_Library ;

-- </ADA>
